<?php

class FechamentosNegociacoesItens extends GxActiveRecord
{
    public static function model($className = __CLASS__) {
        return parent::model($className);
    }

    public function tableName() {
        return 'fechamentos_negociacoes_itens';
    }

    public function rules() {
        return array(
            array('FNI_IDNEGOCIACAO, FNI_IDMODULO', 'required'),
        );
    }

    public function relations() {
        return array(
            'Negociacao' => array(self::BELONGS_TO, 'FechamentosNegociacoes', 'FNI_IDNEGOCIACAO'),
            'Modulo'     => array(self::BELONGS_TO, 'Modulos', 'FNI_IDMODULO'),
        );
    }

    public function pivotModels() {
        return array(
        );
    }

    public function attributeLabels() {
        return array(
        );
    }
}
